AnsweredAssumed Answered

Stm32CubeMx and Java version

Question asked by Uwe Bonnes on Feb 18, 2016
Latest reply on Jan 3, 2018 by A Pica
Hello,

trying to install ./SetupSTM32CubeMX-4.13.0.linux from recent stm32cubemx.zip on a Opensuse 13.2/64 Bit system, I get:

> ./SetupSTM32CubeMX-4.13.0.linux
Please install Java JRE 1.7.0_45 or a more recent version

However a recent java runtime is installed:
 
> /usr/lib64/jvm/jre/bin/java -version
openjdk version "1.8.0_72"
OpenJDK Runtime Environment (build 1.8.0_72-b15)
OpenJDK 64-Bit Server VM (build 25.72-b15, mixed mode)

and stracing the installer shows that "/usr/lib64/jvm/jre/bin/java -version" is queried by the installer

1.8 should be more recent than the requested JRE 1.7.0_45. What is wrong here?

Outcomes